Bug 63952 - RTEs not programmed correctly during boot
RTEs not programmed correctly during boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 11:39 EDT by Matthew Tolentino
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to correctly set RTEs in iosapic.c (38.49 KB, patch)
2002-04-22 11:40 EDT, Matthew Tolentino
no flags Details | Diff

  None (edit)
Description Matthew Tolentino 2002-04-22 11:39:44 EDT
Description of Problem:  There is an error in PCI fixup routine which is to be 
executed as a post kernel PCI enumeration by the PCI bus driver. That fixup 
routine is supposed to override IOSAPIC configurations with platform specific 
PCI configuration information. The error was introduced in to the kernel late 
last year that does not program IOSAPIC RTEs per the PCI fixup information in 
some cases. I will also attach a patch for this that addresses this issue.

Version-Release number of selected component (if applicable):
Redhat 7.2 kernels: 2.4.9-18, 2.4.9-21, 2.4.9-31

How Reproducible:
Always

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
Unable to boot.  During boot process, addr 0x20 is dereferenced and IP is in 
firmware code

Expected Results:
RTEs correctly programmed and able to boot.

Additional Information:
Comment 1 Matthew Tolentino 2002-04-22 11:40:57 EDT
Created attachment 54846 [details]
patch to correctly set RTEs in iosapic.c
Comment 2 Michael K. Johnson 2002-05-06 11:59:48 EDT
As discussed on the call, please file a minimal diff, thanks!
Comment 3 Michael K. Johnson 2002-05-14 15:37:19 EDT
Never mind, we did the legwork.

Now:
+-static int
++int
+ iosapic_irq_to_vector (int irq)
seems unnecessary.  If a patch modifies only one file, there should
not be a reason to remove "static".
Comment 4 Bugzilla owner 2004-09-30 11:39:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.